org.apache.lucene.search

## Class AssertingScorer

- java.lang.Object
- - org.apache.lucene.search.Scorable
  - - org.apache.lucene.search.Scorer
    - - org.apache.lucene.search.AssertingScorer

-     public class AssertingScorer
      extends Scorer

  Wraps a Scorer with additional checks

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorable

      `Scorable.ChildScorable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Scorer

      `weight`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `advanceShallow(int target)`
    `int` | `docID()`
    `Collection<Scorable.ChildScorable>` | `getChildren()`
    `Scorer` | `getIn()`
    `float` | `getMaxScore(int upTo)`
    `DocIdSetIterator` | `iterator()`
    `float` | `score()`
    `void` | `setMinCompetitiveScore(float score)`
    `String` | `toString()`
    `TwoPhaseIterator` | `twoPhaseIterator()`
    `static Scorer` | `wrap(Random random, Scorer other, ScoreMode scoreMode)`

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `getWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### wrap

          public static Scorer wrap(Random random,
                                    Scorer other,
                                    ScoreMode scoreMode)

    - #### getIn

          public Scorer getIn()

    - #### setMinCompetitiveScore

          public void setMinCompetitiveScore(float score)
                                      throws IOException

      Overrides:
        `setMinCompetitiveScore` in class `Scorable`
      Throws:
        `IOException`

    - #### advanceShallow

          public int advanceShallow(int target)
                             throws IOException

      Overrides:
        `advanceShallow` in class `Scorer`
      Throws:
        `IOException`

    - #### getMaxScore

          public float getMaxScore(int upTo)
                            throws IOException

      Specified by:
        `getMaxScore` in class `Scorer`
      Throws:
        `IOException`

    - #### score

          public float score()
                      throws IOException

      Specified by:
        `score` in class `Scorable`
      Throws:
        `IOException`

    - #### getChildren

          public Collection<Scorable.ChildScorable> getChildren()

      Overrides:
        `getChildren` in class `Scorable`

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `Scorable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### iterator

          public DocIdSetIterator iterator()

      Specified by:
        `iterator` in class `Scorer`

    - #### twoPhaseIterator

          public TwoPhaseIterator twoPhaseIterator()

      Overrides:
        `twoPhaseIterator` in class `Scorer`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.